import firebase from "firebase";
import { FIREBASE_CONFIG, ADMIN_EMAIL, ADMIN_PASSWORD } from './src/config/constant';

firebase.initializeApp(FIREBASE_CONFIG);

firebase.auth()
.createUserWithEmailAndPassword(ADMIN_EMAIL, ADMIN_PASSWORD)
  .then((user) => {
    console.log(JSON.stringify(user));
  })
  .catch((error) => {
    console.log(error.message);
    console.log('error' + JSON.stringify(error));
  });
  
  firebase.auth().onAuthStateChanged((user) => {
    if (user) {
      firebase.firestore().collection('users').doc(user.uid).set({
        active: true,
        email: ADMIN_EMAIL,
        firstName: 'admin',
        id: user.uid,
        lastName: 'admin',
        profilePictureURL: null,        
      });
      firebase.firestore().collection('permissions').doc(user.uid).set(
        {
          id: user.uid,
          is_admin: true
        }
      )
    }
  });
