import * as React from 'react';
import { AppBar } from 'react-admin';
import Typography from '@material-ui/core/Typography';
import { makeStyles } from '@material-ui/core/styles';
import { UserMenu } from 'react-admin';
import Avatar from '@material-ui/core/Avatar';
import { ADMIN_IMAGE, DISABLE_DEMO } from './config/constant';
import Toolbar from '@material-ui/core/Toolbar';

const useStyles = makeStyles({
    title: {
        flex: 1,
        textOverflow: 'ellipsis',
        whiteSpace: 'nowrap',
        overflow: 'hidden',
    },
    spacer: {
        flex: 1,
    },
    avatar: {
        height: 30,
        width: 30,
    },
    logo: {
        maxWidth: "70px",
        marginLeft: -35
      },
});

const MyCustomIcon = () => {
    const classes = useStyles();
    return (
        <Avatar
            className={classes.avatar}
            src={ADMIN_IMAGE}
        />
    )
};

const MyUserMenu = props => (
    <UserMenu {...props} icon={<MyCustomIcon />}>
    </UserMenu>
);



const MyAppBar = props => {
    const classes = useStyles();
    const message = DISABLE_DEMO ? "You can't DELETE or EDIT any entry (demo purpose only)" :  '';
    return (
        <AppBar {...props} userMenu={<MyUserMenu />} >
            <Toolbar>
        <img src={ADMIN_IMAGE} alt="logo" className={classes.logo} />
        </Toolbar>
            <Typography
                variant="h6"
                color="inherit"
                className={classes.title}
                id="react-admin-title"
            />
            {/* <Logo /> */}
            <span className={classes.title} />
                <p>{message}</p>
            {/* <ToggleThemeButton /> */}
        </AppBar>
    );
};

export default MyAppBar;