// in src/User.js
import * as React from "react";
// tslint:disable-next-line:no-var-requires
import {
  Datagrid,
  List,
  Show,
  Edit,
  Filter,
  SimpleShowLayout,
  SimpleForm,
  TextField,
  TextInput,
  ShowButton,
  EditButton,
  BooleanField,
  required,
} from "react-admin";
import {DISABLE_DEMO} from '../config/constant';
const UserFilter = (props) => (
  <Filter {...props}>
    <TextInput label="Search" source="firstName" alwaysOn />
  </Filter>
);

export const UserList = (props) => (
  <List {...props} filters={<UserFilter />}>
    <Datagrid>
      <TextField source="firstName" label = "Fist Name" />
      <TextField source="lastName" label = "Last Name"/>
      <TextField source="email" label = "Email"/>
      <BooleanField source="active" label = "Active"/>
      <TextField source="lastupdate" label = "Last Updated"/>
      <ShowButton label="" />
      <EditButton disabled={DISABLE_DEMO} label="" />
    </Datagrid>
  </List>
);

export const UserShow = (props) => (
  <Show {...props}>
    <SimpleShowLayout>
    <TextField source="firstName" label = "Fist Name" />
      <TextField source="lastName" label = "Last Name"/>
      <TextField source="email" label = "Email"/>
      <BooleanField source="active" label = "Active"/>
      <TextField source="lastupdate" label = "Last Updated"/>
    </SimpleShowLayout>
  </Show>
);

export const UserEdit = (props) => (
  <Edit {...props}>
    <SimpleForm>
      <TextInput source="firstName" label = "Fist Name"  validate={[required()]}/>
      <TextInput source="lastName" label = "Last Name"  validate={[required()]}/>
      <TextInput source="email" label = "Email"  validate={[required()]}/>
    </SimpleForm>
  </Edit>
);