import { createMuiTheme } from '@material-ui/core/styles';
import green from '@material-ui/core/colors/green';
import red from '@material-ui/core/colors/red';
import blue from '@material-ui/core/colors/lightBlue';
require('dotenv').config();

const FIREBASE_CONFIG = {
  apiKey: process.env.REACT_APP_API_KEY,
  authDomain: process.env.REACT_APP_AUTH_DOMAIN,
  databaseURL: process.env.REACT_APP_DATABASE,
  projectId: process.env.REACT_APP_PROJECT_ID,
  storageBucket: process.env.REACT_APP_STORAGE_BUCKET
};
const DISABLE_DEMO = process.env.REACT_APP_DEMO_MODE;
const ADMIN_IMAGE =
    'https://firebasestorage.googleapis.com/v0/b/mydeal-af4f6.appspot.com/o/mydeal%20copy.png?alt=media&token=6030dd2a-6573-40c3-8ee6-657a5d6856f1';

const ADMIN_EMAIL = process.env.REACT_APP_ADMIN_EMAIL;
const ADMIN_PASSWORD = process.env.REACT_APP_ADMIN_PASSWORD;

const THEME = createMuiTheme({
    palette: {
      primary: green,
      success : blue,
      error: red,
      info: blue,
      type: 'light', // Switching the dark mode on is a single property value change.
    },
  });

export {
    THEME,
    FIREBASE_CONFIG,
    ADMIN_EMAIL,
    ADMIN_PASSWORD,
    ADMIN_IMAGE,
    DISABLE_DEMO
}